Mailinglist Archive: opensuse (1620 mails)

< Previous Next >
Re: [opensuse] Use crontabs (was Re: openSUSE-13.1: at 17:00 system begins thrashing: What is cause?)
On 11/22/2014 10:25 AM, Linda Walsh wrote:

rpm -qa|grep cron

cronie-1.4.8-50.1.2.x86_64
cron-4.2-50.1.2.x86_64

Just use both. Wait, don't tell me, the new Xd doesn't allow this?

Hmmmm

$ rpm -ql cron
/usr/share/doc/packages/cron
/usr/share/doc/packages/cron/cron_to_cronie.README

Hmmmm
=============================================================
$ more /usr/share/doc/packages/cron/cron_to_cronie.README
package cron 4.2 is only auxiliary package needed for proper renaming
package cron to cronie

usefull links :
http://en.opensuse.org/Cron_replace
http://en.opensuse.org/Cron_rename
==============================================================

Neither of those two URLs are about the the issues this thread has been
discussing.



So if I remove the package cron its not going to make much difference?

$ rpm -q --whatrequires cron
cronie-1.4.8-50.1.2.x86_64
logrotate-3.8.7-4.8.1.x86_64

That's lame! Why should they depend on a README file?

Of course some dependencies are circular
$ rpm -q --whatrequires cronie
cron-4.2-50.1.2.x86_64

And removing a README file causes a lot more to be removed as well

$ rpm -q --whatrequires logrotate
syslog-service-2.0-772.1.2.noarch
mcelog-1.0pre3.6e4e2a000124-19.4.1.x86_64
xdm-1.1.11-126.1.x86_64
kdm-4.11.14-3.4.x86_64

All of which seems rather strange.
But then I've grown used to the 'requirements' in openSuse being odd.

--
/"\
\ / ASCII Ribbon Campaign
X Against HTML Mail
/ \
--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse+owner@xxxxxxxxxxxx

< Previous Next >